Subject: bug#52125: closed (Re: bug#52125: bug: parted msdos type disk different from expect)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Dec 2021 19:35:03 +0000

Your bug report

#52125: bug: parted msdos type disk different from expect

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52125: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52125
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52125: bug: parted msdos type disk different from expect
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Cc: linfeilong <[email-masked]>, [email-masked], "liuzhiqiang \(I\)" <[email-masked]>
Date: Wed, 1 Dec 2021 11:34:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Nov 26, 2021 at 05:57:29PM +0800, lixiaokeng via Bug reports for the GNU Parted disk partition editor wrote:
> I parted a disk as:
> 
> parted /dev/sdb -s mklabel msdos
> parted /dev/sdb -s mkpart primary 0cyl 64cyl
> 
> The expected result:
> Number  Start   End    Size   Type     File system  Flags
>  1      1049kB  526MB  525MB  primary
> 
> Fault result:
> Warning: The resulting partition is not properly aligned for best performance: 1s % 2048s != 0s
> 
> Number  Start  End     Size    Type     File system  Flags
>  1      512B   16.7MB  16.7MB  primary
> 
> 
> The fault result is cause by commit 61dd3d4:
> Use BLKSSZGET to get device sector size in _device_probe_geometry()

I would strongly suggest that you don't use cyl as a unit. There is no
good reason to be doing that in 2021.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: bug: parted msdos type disk different from expect
From: lixiaokeng <[email-masked]>
To: <[email-masked]>
Cc: linfeilong <[email-masked]>, "liuzhiqiang \(I\)" <[email-masked]>
Date: Fri, 26 Nov 2021 17:57:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I parted a disk as:

parted /dev/sdb -s mklabel msdos
parted /dev/sdb -s mkpart primary 0cyl 64cyl

The expected result:
Number  Start   End    Size   Type     File system  Flags
 1      1049kB  526MB  525MB  primary

Fault result:
Warning: The resulting partition is not properly aligned for best performance: 1s % 2048s != 0s

Number  Start  End     Size    Type     File system  Flags
 1      512B   16.7MB  16.7MB  primary

The fault result is cause by commit 61dd3d4:
Use BLKSSZGET to get device sector size in _device_probe_geometry()